<?php

function tienda_1()
{
require('../cfg/res.php');

// $xacceso=0;
// $sql_acce='select * from usrdoc1 where docu like "FC%" and info="1" and user="'.$_SESSION['user_vcrx_id'].'" ';
// $res_acce=mysql_query($sql_acce,$link_vcrx);
// if (mysql_num_rows($res_acce)!=0){$xacceso=1;}
// if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}
// if ($xacceso==0){echo '<font size="8" color="red"><b>';die('No tiene acceso a Informe de Ventas ' );}	

$xacceso=1;
if($_SESSION['user_vcrx_id']==''){$xacceso=0;}
	
	
mysql_query("SET NAMES 'utf8'");
$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y-m-j' , $nuevafecha );
$xfecha1= date('Y-m-'.'01');
$xfecha2= date('Y-m-d');

$xfgrou='D';	
$xforde='C';
$xfcodi='1';
	
?>

<script type="text/javascript">
<?php include('../../_js/busca_maes3.js');?>
<?php include('../../_js/lista_maes3.js');?>
<?php include('../../_js/fecha_format.js');?>

	
window.onload = function ()
{
	document.getElementById('buscar_btn').click();
}	
	



function redireccionar() 
{
var buscar=document.getElementById('buscar').value;
// var forde=document.getElementById('forde').value;
var forde='';	
var fctlg='';

var fordec=document.getElementById('fordec').checked;
var forded=document.getElementById('forded').checked;
var fordep=document.getElementById('fordep').checked;

if (fordec){forde='C';}
if (forded){forde='D';}
if (fordep){forde='P';}

document.getElementById('tienda1').innerHTML='Cargando datos...';

	$.ajax({
		cache:false,
		url:'vrtienda2.php',
		datatype: "text",
	  async:true,
		type:'POST',
		data:{opt:"<?php echo $_GET['opt']?>",
		buscar:buscar,
		forde:forde,
		fctlg:fctlg}, 
   	beforeSend: function(jqXHR, textStatus){}, 
		success:function(dato, textStatus, jqXHR)
		{document.getElementById('tienda1').innerHTML=dato;},
		error:function(jqXHR,textStatus,errorThrown )
		{
				if (jqXHR.status === 0) {console.log('Not connect: Verify Network.');}
					else if (jqXHR.status == 404) {console.log('Requested page not found [404]');}
					else if (jqXHR.status == 500) {console.log('Internal Server Error [500].');}
					else if (exception === 'parsererror') {console.log('Requested JSON parse failed.');}
					else if (exception === 'timeout') {alert('Servidor no Responde');}
					else if (exception === 'abort') {console.log('Ajax request aborted.');}
					else {console.log('Uncaught Error: ' + jqXHR.responseText);}
		}, 
		complete:function(jqXHR, textStatus)
    	{if(textStatus==='success'){}},
		timeout:300000
	});



//location.href=pagina;
} 


	
function _buscarbtn(pbuscar)
{
	var xoldbuscar=document.getElementById('buscar').value;
	document.getElementById('buscar').value=pbuscar;
	document.getElementById('buscar_btn').click();
// 	document.getElementById('buscar').value=xoldbuscar;
}
	
	
	
function _imagen(foto,archivo)
{
	document.getElementById(foto).src='../imgi/'+archivo+'?abc='+Math.floor((Math.random() * 10) + 1);
}
	
function _activar(pcodigo,ptalla)
{
	console.log(pcodigo);
	console.log(ptalla);
	document.getElementById('txt_'+pcodigo).value=pcodigo+ptalla;
// 	document.getElementById('btn_'+pcodigo).disable='false';
}
	
	
function _agrecarr(tcodigo)
{
	var codigo=document.getElementById(tcodigo).value;
	if(codigo.length==0)
		{
			alert('Escoja Una Talla');
			return false;
		}
		$.ajax({
					cache:false,
					url:'../lib/vragrecarr.php',
					datatype: "text",
	    		async:false,
					type:'POST',
					data:{codigo:codigo}, 
		    	beforeSend: function(jqXHR, textStatus){}, 
					success:function(dato, textStatus, jqXHR)
					{
						alert(dato);
// 					document.getElementById('mensaje3').innerHTML=dato;
// 					document.getElementById(id).style.display='none';
					},
					error:function(jqXHR,textStatus,errorThrown ){}, 
					complete:function(jqXHR, textStatus){},
					timeout:300000
					});
}
	
	
function vercarrito() 
{
xurl="../lib/celectop1.php?docu=CARR1"

// pagina="../lib/impr_vtast0.php?"
// +"&fecha_ini="+fecha_ini 
// +"&fecha_fin="+fecha_fin 
// +"&fgrou="+fgrou
// +"&fcodi="+fcodi
// +"&forde="+forde
// +"&fdocu="+docu
// +"&fenti="+enti
// +"&fitem="+item
// +"&fptov="+ptov
// +"&fcdad="+fcdad 
// +"&fzsub="+fzsub 
// +"&flsub="+flsub 
// +"&fvndd="+fvndd
// +"&frcdd="+frcdd
// +"&fctlg="+fctlg;


window.open(xurl);
} 



</script>

											 
	
<div style=" max-height:200px; overflow-y:scroll; margin-top:5px;">

<table id="tabla_filtros" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr align="left" valign="top">

<th>
<table><caption></caption>	
	<tr>
		<?php $pcaption='Buscar';  $pidtxt='buscar'; $ponclick="redireccionar();"; $pobj=3; $plong=50; include('vrgettxt.php'); ?>
	</tr>
	<tr style="display:none;">
		<?php $pcaption='Linea';  $ptabla='lsub'; $pidtxt='flsub'; $pdefa=$xflsub; $pnotob=0; include('vrgetcod.php'); ?>
	</tr>
</table>
	
<table width = "100%">
	<tr>
		<td width="10%">
		<?php $pcaption='TODO'; $ponclick="_buscarbtn(' ')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='FALDAS'; $ponclick="_buscarbtn('FALDA')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='BLUSAS'; $ponclick="_buscarbtn('BLUS')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='ENTERIZOS'; $ponclick="_buscarbtn('ENTERIZO')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='SHORTS'; $ponclick="_buscarbtn('SHORT')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='CHALINAS'; $ponclick="_buscarbtn('CHALINA')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='CAMISAS'; $ponclick="_buscarbtn('CAMIS')"; include('vrbutton.php'); ?>
		</td>
		<td width="10%">
		<?php $pcaption='BUSOS'; $ponclick="_buscarbtn('BUSO')"; include('vrbutton.php'); ?>
		</td>
	</tr>
</table>
	
</th>
	

<th style ="border-left:solid 1px;">
<div align="center">
<span>ORDENADO X</span>
</div>
<!-- </th>	 -->
<!-- <th style ="border-left:solid 1px;"> -->
<div>
		<?php $pname="forder"; $pidtxt='fordec'; $pcaption='Codigo'; if($xforde=='C'){$pdefa='checked';}; $ponclick="redireccionar()"; include('vrradio.php'); ?>	
		<?php $pname="forder"; $pidtxt='forded'; $pcaption='Nombre'; if($xforde=='D'){$pdefa='checked';}; $ponclick="redireccionar()"; include('vrradio.php'); ?>	
		<?php $pname="forder"; $pidtxt='fordep'; $pcaption='Precio'; if($xforde=='P'){$pdefa='checked';}; $ponclick="redireccionar()"; include('vrradio.php'); ?>	
</div>
</th>

<th align="center" style ="border-left:solid 1px;">
<?php $pcaption='Consultar';  $ponclick="redireccionar();" ;include('vrbutton.php'); ?>
<br>
<?php if ($xacceso==1){ ?>
<?php $pcaption='Ver Carrito';  $ponclick="window.location.href='../lib/celectop1.php?docu=CAR1'" ;include('vrbutton.php'); ?>
<?php } ?>	
</th>

	</tr>
	</table>
<table id="tabla_filtros2" width="100%" border="0" cellspacing="0" cellpadding="2" style="border-collapse:collapse;font-size:12px; border:#000000 solid 1px;">
<tr>

</tr>
</table>
</div>

<hr/>


<div id="tienda1" style="overflow-y:scroll; height:500px;"></div>
<br>
<div id="tienda2"></div>
<?php		
require('lista_car.php');
?>	
<?php }?>

